[neon/infrastructure/pangea-data] imager: add plasmalogin conf file

Carlos De Maine null at kde.org
Mon May 25 13:26:24 BST 2026


Git commit 734ecda4215ff6cf3fc09109d659117e5f582307 by Carlos De Maine.
Committed on 25/05/2026 at 12:26.
Pushed by carlosdem into branch 'master'.

add plasmalogin conf file

A  +64   -0    imager/0090-plasmalogin

https://invent.kde.org/neon/infrastructure/pangea-data/-/commit/734ecda4215ff6cf3fc09109d659117e5f582307

diff --git a/imager/0090-plasmalogin b/imager/0090-plasmalogin
new file mode 100644
index 0000000..b063734
--- /dev/null
+++ b/imager/0090-plasmalogin
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2014 Rohan Garg <rohan at kde.org>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+set -ex
+echo "neon -- 0090-plasmalogin manager"
+
+Cmdline ()
+{
+	# Reading kernel command line
+	for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+	do
+		case "${_PARAMETER}" in
+			live-config.username=*|username=*)
+				LIVE_USERNAME="${_PARAMETER#*username=}"
+				;;
+		esac
+	done
+}
+
+Init ()
+{
+	# Checking if package is installed or already configured
+	if [ ! -e /var/lib/dpkg/info/plasmalogin.list ] || \
+	   [ -e /var/lib/live/config/plasmalogin ]
+	then
+		exit 0
+	fi
+
+	echo -n " plasmalogin"
+}
+
+Config ()
+{
+	if [ ! -e /usr/bin/plasmalogin ]
+	then
+		exit 0
+	fi
+
+	if [ "${LIVE_CONFIG_NOAUTOLOGIN}" != "true" ] && [ "${LIVE_CONFIG_NOX11AUTOLOGIN}" != "true" ]
+	then
+		# autologin
+		cat > /etc/plasmalogin.conf.d/autologin.conf << EOF
+[Autologin]
+User=$LIVE_USERNAME
+Session=plasma.desktop
+EOF
+	fi
+
+	# Avoid xinit
+	touch /var/lib/live/config/xinit
+
+	# Creating state file
+	touch /var/lib/live/config/plasmalogin
+}
+
+Cmdline
+Init
+Config


More information about the Neon-commits mailing list